git@vger.kernel.org list mirror (unofficial, one of many)
 help / color / mirror / code / Atom feed
* [PATCH] test-lib: check Bash version for '-x' without using shell arrays
@ 2019-01-01 23:19 SZEDER Gábor
  2019-01-02  0:20 ` Johannes Sixt
                   ` (2 more replies)
  0 siblings, 3 replies; 14+ messages in thread
From: SZEDER Gábor @ 2019-01-01 23:19 UTC (permalink / raw)
  To: Junio C Hamano
  Cc: Max Kirillov, Carlo Arenas, Jeff King, git, SZEDER Gábor

One of our test scripts, 't1510-repo-setup.sh' [1], still can't be
reliably run with '-x' tracing enabled, unless it's executed with a
Bash version supporting BASH_XTRACEFD (since v4.1).  We have a lengthy
condition to check the version of the shell running the test script,
and disable tracing if it's not executed with a suitable Bash version
[2].

This condition uses non-portable shell array accesses to easily get
Bash's major and minor version number.  This didn't seem to be
problematic, because the simple commands expanding those array
accesses are only executed when the test script is actually run with
Bash.  When run with Dash, the only shell I have at hand that doesn't
support shell arrays, there are no issues, as it apparently skips
right over the non-executed simple commands without noticing the
non-supported constructs.

Alas, it has been reported that NetBSD's /bin/sh does complain about
them:

  ./test-lib.sh: 327: Syntax error: Bad substitution

where line 327 contains the first ${BASH_VERSINFO[0]} array access.

To my understanding both shells are right and conform to POSIX,
because the standard allows both behavior by stating the following
under '2.8.1 Consequences of Shell Errors':

  "An expansion error is one that occurs when the shell expansions
  define in wordexp are carried out (for example, "${x!y}", because
  '!' is not a valid operator); an implementation may treat these as
  syntax errors if it is able to detect them during tokenization,
  rather than during expansion."

Avoid this issue with NetBSD's /bin/sh (and potentially with other,
less common shells) by using a couple of parameter expansions to
extract the major and minor version numbers from $BASH_VERSION.

[1] 5827506928 (t1510-repo-setup: mark as untraceable with '-x',
    2018-02-24)
[2] 5fc98e79fc (t: add means to disable '-x' tracing for individual
    test scripts, 2018-02-24)

Reported-by: Max Kirillov <max@max630.net>
Signed-off-by: SZEDER Gábor <szeder.dev@gmail.com>
---

This will certainly conflict with patches 3 and 6 in my stress testing
patch series at

  https://public-inbox.org/git/20181230191629.3232-1-szeder.dev@gmail.com/T/#u


 t/test-lib.sh | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/t/test-lib.sh b/t/test-lib.sh
index 0f1faa24b2..f47a191e3b 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -324,9 +324,12 @@ do
 		# isn't executed with a suitable Bash version.
 		if test -z "$test_untraceable" || {
 		     test -n "$BASH_VERSION" && {
-		       test ${BASH_VERSINFO[0]} -gt 4 || {
-			 test ${BASH_VERSINFO[0]} -eq 4 &&
-			 test ${BASH_VERSINFO[1]} -ge 1
+		       bash_major=${BASH_VERSION%%.*}
+		       bash_minor=${BASH_VERSION#*.}
+		       bash_minor=${bash_minor%%.*}
+		       test $bash_major -gt 4 || {
+			 test $bash_major -eq 4 &&
+			 test $bash_minor -ge 1
 		       }
 		     }
 		   }
-- 
2.20.1.151.gec613c4b75


^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-01 23:19 [PATCH] test-lib: check Bash version for '-x' without using shell arrays SZEDER Gábor
@ 2019-01-02  0:20 ` Johannes Sixt
  2019-01-02 16:46   ` Junio C Hamano
  2019-01-03  4:52   ` [PATCH] " Jeff King
  2019-01-02 18:05 ` Eric Sunshine
  2019-01-03 11:36 ` SZEDER Gábor
  2 siblings, 2 replies; 14+ messages in thread
From: Johannes Sixt @ 2019-01-02  0:20 UTC (permalink / raw)
  To: SZEDER Gábor
  Cc: Junio C Hamano, Max Kirillov, Carlo Arenas, Jeff King, git

Am 02.01.19 um 00:19 schrieb SZEDER Gábor:
> Alas, it has been reported that NetBSD's /bin/sh does complain about
> them:
> 
>    ./test-lib.sh: 327: Syntax error: Bad substitution
> 
> where line 327 contains the first ${BASH_VERSINFO[0]} array access.

> diff --git a/t/test-lib.sh b/t/test-lib.sh
> index 0f1faa24b2..f47a191e3b 100644
> --- a/t/test-lib.sh
> +++ b/t/test-lib.sh
> @@ -324,9 +324,12 @@ do
>   		# isn't executed with a suitable Bash version.
>   		if test -z "$test_untraceable" || {
>   		     test -n "$BASH_VERSION" && {
> -		       test ${BASH_VERSINFO[0]} -gt 4 || {
> -			 test ${BASH_VERSINFO[0]} -eq 4 &&
> -			 test ${BASH_VERSINFO[1]} -ge 1
> +		       bash_major=${BASH_VERSION%%.*}
> +		       bash_minor=${BASH_VERSION#*.}
> +		       bash_minor=${bash_minor%%.*}
> +		       test $bash_major -gt 4 || {
> +			 test $bash_major -eq 4 &&
> +			 test $bash_minor -ge 1
>   		       }
>   		     }
>   		   }
> 

Would it perhaps be simpler to just hide the syntax behind eval? Like

  		if test -z "$test_untraceable" || {
  		     test -n "$BASH_VERSION" && eval '
		       test ${BASH_VERSINFO[0]} -gt 4 || {
			 test ${BASH_VERSINFO[0]} -eq 4 &&
			 test ${BASH_VERSINFO[1]} -ge 1
		       }
  		     '

-- Hannes

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-02  0:20 ` Johannes Sixt
@ 2019-01-02 16:46   ` Junio C Hamano
  2019-01-03 11:43     ` [PATCH v2] " SZEDER Gábor
  2019-01-03  4:52   ` [PATCH] " Jeff King
  1 sibling, 1 reply; 14+ messages in thread
From: Junio C Hamano @ 2019-01-02 16:46 UTC (permalink / raw)
  To: Johannes Sixt
  Cc: SZEDER Gábor, Max Kirillov, Carlo Arenas, Jeff King, git

Johannes Sixt <j6t@kdbg.org> writes:

> Would it perhaps be simpler to just hide the syntax behind eval? Like
>
>  		if test -z "$test_untraceable" || {
>  		     test -n "$BASH_VERSION" && eval '
> 		       test ${BASH_VERSINFO[0]} -gt 4 || {
> 			 test ${BASH_VERSINFO[0]} -eq 4 &&
> 			 test ${BASH_VERSINFO[1]} -ge 1
> 		       }
>  		     '

It indeed is somewhat easier to see that your version does exactly
the same as the original than the posted patch, but the pattern
substitutions are not all that bad, either.

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-01 23:19 [PATCH] test-lib: check Bash version for '-x' without using shell arrays SZEDER Gábor
  2019-01-02  0:20 ` Johannes Sixt
@ 2019-01-02 18:05 ` Eric Sunshine
  2019-01-02 18:31   ` Carlo Arenas
  2019-01-03 11:36 ` SZEDER Gábor
  2 siblings, 1 reply; 14+ messages in thread
From: Eric Sunshine @ 2019-01-02 18:05 UTC (permalink / raw)
  To: SZEDER Gábor
  Cc: Junio C Hamano, Max Kirillov, Carlo Arenas, Jeff King, Git List

On Tue, Jan 1, 2019 at 6:20 PM SZEDER Gábor <szeder.dev@gmail.com> wrote:
> [...]
> To my understanding both shells are right and conform to POSIX,
> because the standard allows both behavior by stating the following

s/behavior/behaviors/

> under '2.8.1 Consequences of Shell Errors':
>
> Reported-by: Max Kirillov <max@max630.net>
> Signed-off-by: SZEDER Gábor <szeder.dev@gmail.com>

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-02 18:05 ` Eric Sunshine
@ 2019-01-02 18:31   ` Carlo Arenas
  0 siblings, 0 replies; 14+ messages in thread
From: Carlo Arenas @ 2019-01-02 18:31 UTC (permalink / raw)
  To: Eric Sunshine
  Cc: SZEDER Gábor, Junio C Hamano, Max Kirillov, Jeff King, Git List

Tested-By: Carlo Marcelo Arenas Belón <carenas@gmail.com>

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-02  0:20 ` Johannes Sixt
  2019-01-02 16:46   ` Junio C Hamano
@ 2019-01-03  4:52   ` Jeff King
  1 sibling, 0 replies; 14+ messages in thread
From: Jeff King @ 2019-01-03  4:52 UTC (permalink / raw)
  To: Johannes Sixt
  Cc: SZEDER Gábor, Junio C Hamano, Max Kirillov, Carlo Arenas, git

On Wed, Jan 02, 2019 at 01:20:47AM +0100, Johannes Sixt wrote:

> > diff --git a/t/test-lib.sh b/t/test-lib.sh
> > index 0f1faa24b2..f47a191e3b 100644
> > --- a/t/test-lib.sh
> > +++ b/t/test-lib.sh
> > @@ -324,9 +324,12 @@ do
> >   		# isn't executed with a suitable Bash version.
> >   		if test -z "$test_untraceable" || {
> >   		     test -n "$BASH_VERSION" && {
> > -		       test ${BASH_VERSINFO[0]} -gt 4 || {
> > -			 test ${BASH_VERSINFO[0]} -eq 4 &&
> > -			 test ${BASH_VERSINFO[1]} -ge 1
> > +		       bash_major=${BASH_VERSION%%.*}
> > +		       bash_minor=${BASH_VERSION#*.}
> > +		       bash_minor=${bash_minor%%.*}
> > +		       test $bash_major -gt 4 || {
> > +			 test $bash_major -eq 4 &&
> > +			 test $bash_minor -ge 1
> >   		       }
> >   		     }
> >   		   }
> > 
> 
> Would it perhaps be simpler to just hide the syntax behind eval? Like
> 
>  		if test -z "$test_untraceable" || {
>  		     test -n "$BASH_VERSION" && eval '
> 		       test ${BASH_VERSINFO[0]} -gt 4 || {
> 			 test ${BASH_VERSINFO[0]} -eq 4 &&
> 			 test ${BASH_VERSINFO[1]} -ge 1
> 		       }
>  		     '

That was my first thought, too. :)

The parsing here is simple enough that I'd be fine either with the
original patch, or an eval-based version (and otherwise, the goal and
description seem quite good to me).

-Peff

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-01 23:19 [PATCH] test-lib: check Bash version for '-x' without using shell arrays SZEDER Gábor
  2019-01-02  0:20 ` Johannes Sixt
  2019-01-02 18:05 ` Eric Sunshine
@ 2019-01-03 11:36 ` SZEDER Gábor
  2 siblings, 0 replies; 14+ messages in thread
From: SZEDER Gábor @ 2019-01-03 11:36 UTC (permalink / raw)
  To: Junio C Hamano; +Cc: Max Kirillov, Carlo Arenas, Jeff King, git

On Wed, Jan 02, 2019 at 12:19:49AM +0100, SZEDER Gábor wrote:
> To my understanding both shells are right and conform to POSIX,
> because the standard allows both behavior by stating the following
> under '2.8.1 Consequences of Shell Errors':
> 
>   "An expansion error is one that occurs when the shell expansions
>   define in wordexp are carried out (for example, "${x!y}", because

That "define" above always stops my (non-native) English parser for a
moment or two...  shouldn't it be s/define/defined/ ?

It's not a copy-paste error, POSIX does indeed write "define" there,
see:

http://pubs.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html#tag_18_08_01

(First paragraph below the table and the Notes.)

>   '!' is not a valid operator); an implementation may treat these as
>   syntax errors if it is able to detect them during tokenization,
>   rather than during expansion."
> 

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [PATCH v2] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-02 16:46   ` Junio C Hamano
@ 2019-01-03 11:43     ` SZEDER Gábor
  2019-01-03 20:29       ` Junio C Hamano
  0 siblings, 1 reply; 14+ messages in thread
From: SZEDER Gábor @ 2019-01-03 11:43 UTC (permalink / raw)
  To: Junio C Hamano
  Cc: Johannes Sixt, Max Kirillov, Carlo Arenas, Jeff King,
	Eric Sunshine, git, SZEDER Gábor

One of our test scripts, 't1510-repo-setup.sh' [1], still can't be
reliably run with '-x' tracing enabled, unless it's executed with a
Bash version supporting BASH_XTRACEFD (since v4.1).  We have a lengthy
condition to check the version of the shell running the test script,
and disable tracing if it's not executed with a suitable Bash version
[2].

This condition uses non-portable shell array accesses to easily get
Bash's major and minor version number.  This didn't seem to be
problematic, because the simple commands expanding those array
accesses are only executed when the test script is actually run with
Bash.  When run with Dash, the only shell I have at hand that doesn't
support shell arrays, there are no issues, as it apparently skips
right over the non-executed simple commands without noticing the
non-supported constructs.

Alas, it has been reported that NetBSD's /bin/sh does complain about
them:

  ./test-lib.sh: 327: Syntax error: Bad substitution

where line 327 contains the first ${BASH_VERSINFO[0]} array access.

To my understanding both shells are right and conform to POSIX,
because the standard allows both behaviors by stating the following
under '2.8.1 Consequences of Shell Errors' [3]:

  "An expansion error is one that occurs when the shell expansions
  define in wordexp are carried out (for example, "${x!y}", because
  '!' is not a valid operator); an implementation may treat these as
  syntax errors if it is able to detect them during tokenization,
  rather than during expansion."

Avoid this issue with NetBSD's /bin/sh (and potentially with other,
less common shells) by hiding the shell array syntax behind 'eval'
that is only executed with Bash.

[1] 5827506928 (t1510-repo-setup: mark as untraceable with '-x',
    2018-02-24)
[2] 5fc98e79fc (t: add means to disable '-x' tracing for individual
    test scripts, 2018-02-24)
[3] http://pubs.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html#tag_18_08_01

Reported-by: Max Kirillov <max@max630.net>
Helped-by: Johannes Sixt <j6t@kdbg.org>
Signed-off-by: SZEDER Gábor <szeder.dev@gmail.com>
---

Changes since v1:

 - Hide the shell array syntax behind 'eval'.
   (I'm fine with both versions, take your pick.)
 - Corrected typo in commit message that Eric pointed out.
 - Added a link to the relevant section in POSIX.

 t/test-lib.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/t/test-lib.sh b/t/test-lib.sh
index 0f1faa24b2..c34831a4de 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -323,12 +323,12 @@ do
 		# this test is marked as such, and ignore '-x' if it
 		# isn't executed with a suitable Bash version.
 		if test -z "$test_untraceable" || {
-		     test -n "$BASH_VERSION" && {
+		     test -n "$BASH_VERSION" && eval '
 		       test ${BASH_VERSINFO[0]} -gt 4 || {
 			 test ${BASH_VERSINFO[0]} -eq 4 &&
 			 test ${BASH_VERSINFO[1]} -ge 1
 		       }
-		     }
+		     '
 		   }
 		then
 			trace=t
-- 
2.20.1.151.gec613c4b75


^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH v2] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-03 11:43     ` [PATCH v2] " SZEDER Gábor
@ 2019-01-03 20:29       ` Junio C Hamano
  2019-01-04  9:30         ` SZEDER Gábor
  0 siblings, 1 reply; 14+ messages in thread
From: Junio C Hamano @ 2019-01-03 20:29 UTC (permalink / raw)
  To: SZEDER Gábor
  Cc: Johannes Sixt, Max Kirillov, Carlo Arenas, Jeff King, Eric Sunshine, git

SZEDER Gábor <szeder.dev@gmail.com> writes:

> One of our test scripts, 't1510-repo-setup.sh' [1], still can't be
> reliably run with '-x' tracing enabled, unless it's executed with a
> Bash version supporting BASH_XTRACEFD (since v4.1).  We have a lengthy
> condition to check the version of the shell running the test script,
> and disable tracing if it's not executed with a suitable Bash version
> [2].
>
> This condition uses non-portable shell array accesses to easily get
> Bash's major and minor version number.  This didn't seem to be
> problematic, because the simple commands expanding those array
> accesses are only executed when the test script is actually run with
> Bash.  When run with Dash, the only shell I have at hand that doesn't
> support shell arrays, there are no issues, as it apparently skips
> right over the non-executed simple commands without noticing the
> non-supported constructs.
>
> Alas, it has been reported that NetBSD's /bin/sh does complain about
> them:
>
>   ./test-lib.sh: 327: Syntax error: Bad substitution
>
> where line 327 contains the first ${BASH_VERSINFO[0]} array access.
>
> To my understanding both shells are right and conform to POSIX,
> because the standard allows both behaviors by stating the following
> under '2.8.1 Consequences of Shell Errors' [3]:
>
>   "An expansion error is one that occurs when the shell expansions
>   define in wordexp are carried out (for example, "${x!y}", because
>   '!' is not a valid operator); an implementation may treat these as
>   syntax errors if it is able to detect them during tokenization,
>   rather than during expansion."
>
> Avoid this issue with NetBSD's /bin/sh (and potentially with other,
> less common shells) by hiding the shell array syntax behind 'eval'
> that is only executed with Bash.
>
> [1] 5827506928 (t1510-repo-setup: mark as untraceable with '-x',
>     2018-02-24)
> [2] 5fc98e79fc (t: add means to disable '-x' tracing for individual
>     test scripts, 2018-02-24)
> [3] http://pubs.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html#tag_18_08_01
>
> Reported-by: Max Kirillov <max@max630.net>
> Helped-by: Johannes Sixt <j6t@kdbg.org>
> Signed-off-by: SZEDER Gábor <szeder.dev@gmail.com>
> ---
>
> Changes since v1:
>
>  - Hide the shell array syntax behind 'eval'.
>    (I'm fine with both versions, take your pick.)
>  - Corrected typo in commit message that Eric pointed out.
>  - Added a link to the relevant section in POSIX.

Let's treat this as an independent and more urgent fix-up.  I think
it is sufficient to apply it to 2.20.x track, even though we could
go back to 2.17.x and above.

And then let's tentatively kick the "stress test" series out of
'pu', and have that series rebuilt on top of 'master' and this
patch.

Thanks.

>
>  t/test-lib.sh | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/t/test-lib.sh b/t/test-lib.sh
> index 0f1faa24b2..c34831a4de 100644
> --- a/t/test-lib.sh
> +++ b/t/test-lib.sh
> @@ -323,12 +323,12 @@ do
>  		# this test is marked as such, and ignore '-x' if it
>  		# isn't executed with a suitable Bash version.
>  		if test -z "$test_untraceable" || {
> -		     test -n "$BASH_VERSION" && {
> +		     test -n "$BASH_VERSION" && eval '
>  		       test ${BASH_VERSINFO[0]} -gt 4 || {
>  			 test ${BASH_VERSINFO[0]} -eq 4 &&
>  			 test ${BASH_VERSINFO[1]} -ge 1
>  		       }
> -		     }
> +		     '
>  		   }
>  		then
>  			trace=t

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH v2] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-03 20:29       ` Junio C Hamano
@ 2019-01-04  9:30         ` SZEDER Gábor
  2019-01-04 11:25           ` Junio C Hamano
  0 siblings, 1 reply; 14+ messages in thread
From: SZEDER Gábor @ 2019-01-04  9:30 UTC (permalink / raw)
  To: Junio C Hamano
  Cc: Johannes Sixt, Max Kirillov, Carlo Arenas, Jeff King, Eric Sunshine, git

On Thu, Jan 03, 2019 at 12:29:35PM -0800, Junio C Hamano wrote:
> Let's treat this as an independent and more urgent fix-up.  I think
> it is sufficient to apply it to 2.20.x track, even though we could
> go back to 2.17.x and above.
> 
> And then let's tentatively kick the "stress test" series out of
> 'pu', and have that series rebuilt on top of 'master' and this
> patch.

I rebased my '--stress' patch series on top of
'sg/test-bash-version-fix', and the result is the same as what's at
the tip of 'sg/stress-test' at 1d1416a34b.


^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH v2] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-04  9:30         ` SZEDER Gábor
@ 2019-01-04 11:25           ` Junio C Hamano
  2019-01-04 12:38             ` SZEDER Gábor
  0 siblings, 1 reply; 14+ messages in thread
From: Junio C Hamano @ 2019-01-04 11:25 UTC (permalink / raw)
  To: SZEDER Gábor
  Cc: Johannes Sixt, Max Kirillov, Carlo Arenas, Jeff King, Eric Sunshine, git

SZEDER Gábor <szeder.dev@gmail.com> writes:

> On Thu, Jan 03, 2019 at 12:29:35PM -0800, Junio C Hamano wrote:
>> Let's treat this as an independent and more urgent fix-up.  I think
>> it is sufficient to apply it to 2.20.x track, even though we could
>> go back to 2.17.x and above.
>> 
>> And then let's tentatively kick the "stress test" series out of
>> 'pu', and have that series rebuilt on top of 'master' and this
>> patch.
>
> I rebased my '--stress' patch series on top of
> 'sg/test-bash-version-fix', and the result is the same as what's at
> the tip of 'sg/stress-test' at 1d1416a34b.

Yeah, sorry for not reporting what I did after pushing the
integration result out.  I ended up rebasing the stress series on
top of the updated fix with eval myself.

Thanks.

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH v2] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-04 11:25           ` Junio C Hamano
@ 2019-01-04 12:38             ` SZEDER Gábor
  2019-01-04 18:42               ` Carlo Arenas
  0 siblings, 1 reply; 14+ messages in thread
From: SZEDER Gábor @ 2019-01-04 12:38 UTC (permalink / raw)
  To: Junio C Hamano, Carlo Arenas
  Cc: Johannes Sixt, Max Kirillov, Jeff King, Eric Sunshine, git

On Fri, Jan 04, 2019 at 03:25:57AM -0800, Junio C Hamano wrote:
> SZEDER Gábor <szeder.dev@gmail.com> writes:
> 
> > On Thu, Jan 03, 2019 at 12:29:35PM -0800, Junio C Hamano wrote:
> >> Let's treat this as an independent and more urgent fix-up.  I think
> >> it is sufficient to apply it to 2.20.x track, even though we could
> >> go back to 2.17.x and above.
> >> 
> >> And then let's tentatively kick the "stress test" series out of
> >> 'pu', and have that series rebuilt on top of 'master' and this
> >> patch.
> >
> > I rebased my '--stress' patch series on top of
> > 'sg/test-bash-version-fix', and the result is the same as what's at
> > the tip of 'sg/stress-test' at 1d1416a34b.
> 
> Yeah, sorry for not reporting what I did after pushing the
> integration result out.  I ended up rebasing the stress series on
> top of the updated fix with eval myself.

No problem, it still saved me from writing a cover letter :)

Note that I didn't actually test either of these patches on NetBSD,
though both "Should Work".  Carlo sent a Tested-by for v1; I hope
he'll be able to get around and test v2 as well.


^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH v2] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-04 12:38             ` SZEDER Gábor
@ 2019-01-04 18:42               ` Carlo Arenas
  2019-01-04 20:04                 ` Junio C Hamano
  0 siblings, 1 reply; 14+ messages in thread
From: Carlo Arenas @ 2019-01-04 18:42 UTC (permalink / raw)
  To: SZEDER Gábor
  Cc: Junio C Hamano, Johannes Sixt, Max Kirillov, Jeff King,
	Eric Sunshine, git

v2 works fine, as expected

Carlo

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: [PATCH v2] test-lib: check Bash version for '-x' without using shell arrays
  2019-01-04 18:42               ` Carlo Arenas
@ 2019-01-04 20:04                 ` Junio C Hamano
  0 siblings, 0 replies; 14+ messages in thread
From: Junio C Hamano @ 2019-01-04 20:04 UTC (permalink / raw)
  To: Carlo Arenas
  Cc: SZEDER Gábor, Johannes Sixt, Max Kirillov, Jeff King,
	Eric Sunshine, git

Carlo Arenas <carenas@gmail.com> writes:

> v2 works fine, as expected

Thanks.

^ permalink raw reply	[flat|nested] 14+ messages in thread

end of thread, other threads:[~2019-01-04 20:05 UTC | newest]

Thread overview: 14+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-01 23:19 [PATCH] test-lib: check Bash version for '-x' without using shell arrays SZEDER Gábor
2019-01-02  0:20 ` Johannes Sixt
2019-01-02 16:46   ` Junio C Hamano
2019-01-03 11:43     ` [PATCH v2] " SZEDER Gábor
2019-01-03 20:29       ` Junio C Hamano
2019-01-04  9:30         ` SZEDER Gábor
2019-01-04 11:25           ` Junio C Hamano
2019-01-04 12:38             ` SZEDER Gábor
2019-01-04 18:42               ` Carlo Arenas
2019-01-04 20:04                 ` Junio C Hamano
2019-01-03  4:52   ` [PATCH] " Jeff King
2019-01-02 18:05 ` Eric Sunshine
2019-01-02 18:31   ` Carlo Arenas
2019-01-03 11:36 ` SZEDER Gábor

git@vger.kernel.org list mirror (unofficial, one of many)

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://public-inbox.org/git
	git clone --mirror http://ou63pmih66umazou.onion/git
	git clone --mirror http://czquwvybam4bgbro.onion/git
	git clone --mirror http://hjrcffqmbrq6wope.onion/git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 git git/ https://public-inbox.org/git \
		git@vger.kernel.org
	public-inbox-index git

Example config snippet for mirrors.
Newsgroups are available over NNTP:
	nntp://news.public-inbox.org/inbox.comp.version-control.git
	nntp://7fh6tueqddpjyxjmgtdiueylzoqt6pt7hec3pukyptlmohoowvhde4yd.onion/inbox.comp.version-control.git
	nntp://ie5yzdi7fg72h7s4sdcztq5evakq23rdt33mfyfcddc5u3ndnw24ogqd.onion/inbox.comp.version-control.git
	nntp://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/inbox.comp.version-control.git
	nntp://news.gmane.io/gmane.comp.version-control.git
 note: .onion URLs require Tor: https://www.torproject.org/

code repositories for project(s) associated with this inbox:

	https://80x24.org/mirrors/git.git

AGPL code for this site: git clone https://public-inbox.org/public-inbox.git